> For the complete documentation index, see [llms.txt](https://documentation.rubilink.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://documentation.rubilink.io/api-reference/retrieving-ekyc-request.md).

# Retrieving eKYC Request

A function to get all of the applying and applied user's data

You can retrieve both pending and verified requests by applying a filter

Request Endpoint (accepted): `/api/requests?accepted=true`\
Request Endpoint (pending): `/api/requests?accepted=false`\
Request Type: **GET**

*Header:*

<pre class="language-json"><code class="lang-json">{
    "Content-Type": "application/json",
<strong>    "Accept": "application/json",
</strong>    "x-api-key": "Your API key"
}
</code></pre>

`x-api-key`: The API key you obtained upon signing up for the Lapis eKYC dashboard.&#x20;

***Successful Response:*** Upon successfully retrieving KYC requests, the API response will resemble the following structure:

`Response status`: **200**

<pre class="language-json"><code class="lang-json">{
      "requests": 
                  [
                          {
                                "id": "Randomly generated number",
                                "email": "example@example.com",
                                "phoneNumber": "Valid phone number",
                                "isValidated": true,
                                "isAccepted": true,
                                "idFrontImage": "https://res.cloudinary.com/image/ugidxxnwsbppr3avky7g.jpg",
<strong>                                "idBackImage": "https://res.cloudinary.com/image/jfeezjjxpajqmrjuuyti.jpg",
</strong>                                "idSideImage": "https://res.cloudinary.com/image/qx0hg3jwxtfzuqiixajn.jpg",
                                "faceImage": "https://res.cloudinary.com/image/wkoqzmjz76gmg5zmfhjo.jpg",
<strong>                                "faceMatch": 0.908,
</strong>                                "idInformation": {
<strong>                                "documentNumber": "Submitted Document Number",
</strong><strong>                                "firstName": "firstName",
</strong>                                "middleName": "middleName",
                                "lastName": "lastName",
                                "fullName": "FIRST MIDDLE LAST",
                                "age": 25,
                                "dob": "2000/02/15",
                                "dob_day": 15,
                                "dob_month": 2,
                                "dob_year": 2000,
                                "expiry": "2025/03/15",
                                "expiry_day": 15,
                                "expiry_month": 3,
                                "expiry_year": 2025,
                                "daysToExpiry": 264,
                                "issued": "2021/07/07",
                                "issued_day": 7,
                                "issued_month": 7,
                                "issued_year": 2021,
                                "daysFromIssue": 719,
                                "address1": "260-1262, Akamatsucho",
                                "documentType": "D",
                                "documentSide": "FRONT",
                                "issueAuthority": "東京都",
                                "issuerOrg_full": "Japan",
                                "issuerOrg_iso2": "JP",
                                "issuerOrg_iso3": "JPN",
                                "nationality_full": "Japan",
                                "nationality_iso2": "JP",
                                "nationality_iso3": "JPN",
<strong>                                "internalId": "674"
</strong>                }
<strong>        }
</strong>    ]
}
</code></pre>

***Error Responses:***

* If the provided API key is invalid, the following error message will be returned. Please ensure that the API key you provide is correct and valid.

`Response status`: **401**

```json
{
    "error": "invalid api key"
}
```
